# HtmlPanel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [HtmlPanel](/api/v3.0/wisej.web/content/htmlpanel.md)

Represents a control that displays any HTML file and a corresponding CSS style sheet as embedded HTML.

{% tabs %}
{% tab title="C#" %}

```csharp
public class HtmlPanel : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class HtmlPanel
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)HtmlPanel()

Initializes a new instance of the [HtmlPanel](/api/v3.0/wisej.web/content/htmlpanel.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)AllowNavigation

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether clicking on a link in the Html panel can navigate to the URL specified in the link.

### ![](/files/uCY6T77rh488FWHzpJ6P)BorderStyle

[BorderStyle](/api/v3.0/wisej.web/enumerations/wisej.web.borderstyle.md): Indicates the border style for the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)Css

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the CSS rules to apply to the html content.

### ![](/files/uCY6T77rh488FWHzpJ6P)Html

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the HTML text to display in the [HtmlPanel](/api/v3.0/wisej.web/content/htmlpanel.md) control.

### ![](/files/uCY6T77rh488FWHzpJ6P)HtmlSource

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the html file name to display in the [HtmlPanel](/api/v3.0/wisej.web/content/htmlpanel.md) control.

### ![](/files/uCY6T77rh488FWHzpJ6P)ScrollBars

[ScrollBars](/api/v3.0/wisej.web/enumerations/wisej.web.scrollbars.md): Returns or sets the type of scroll bars to display for the [HtmlPanel](/api/v3.0/wisej.web/content/htmlpanel.md) control.

### ![](/files/uCY6T77rh488FWHzpJ6P)StyleSheetSource

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the css file name to apply to the html text in [HtmlPanel](/api/v3.0/wisej.web/content/htmlpanel.md) control.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)ElementClick

[HtmlPanelElementClickHandler](/api/v3.0/wisej.web/content/htmlpanel/wisej.web.htmlpanelelementclickhandler.md) Fired when the user clicks on any element inside the html panel.

### ![](/files/uCY6T77rh488FWHzpJ6P)HtmlChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the Html property is changed.

### ![](/files/uCY6T77rh488FWHzpJ6P)HtmlSourceChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the HtmlSource property is changed.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/content/htmlpanel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
